Skip to main content
POST
/
vbook
/
search
Search Verification Book
curl --request POST \
  --url https://api-stage.karmacheck.io/vbook/search \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "searchDetails": {
    "vbookTypeId": "<string>",
    "nameQuery": "<string>"
  },
  "listMetadata": {
    "page": 123,
    "pageSize": 123
  }
}
'
import requests

url = "https://api-stage.karmacheck.io/vbook/search"

payload = {
"searchDetails": {
"vbookTypeId": "<string>",
"nameQuery": "<string>"
},
"listMetadata": {
"page": 123,
"pageSize": 123
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
searchDetails: {vbookTypeId: '<string>', nameQuery: '<string>'},
listMetadata: {page: 123, pageSize: 123}
})
};

fetch('https://api-stage.karmacheck.io/vbook/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "listMetadata": {
    "page": 123,
    "pageSize": 123,
    "totalPages": 123
  },
  "results": [
    {
      "id": "<string>",
      "city": "<string>",
      "state": "<string>",
      "name": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
searchDetails
searchDetails · object
required

Details to perform the search with.

listMetadata
ListMetadata · object

Data for how you want the results returned. Not providing this results in page = 0 and pageSize = 10.

Response

OK

listMetadata
object
results
PublicVerificationBookItem · object[]